不能安装skype了

上网、浏览、聊天、下载等
回复
头像
horseking
帖子: 443
注册时间: 2008-08-09 22:48
送出感谢: 1 次
接收感谢: 0
联系:

不能安装skype了

#1

帖子 horseking » 2008-09-23 20:17

今天发现skype不能输入中文,可能一直都不能输入中文,只是我没有发现。于是sudo apt-get remove skype.然后重新装:sudo apt-get install skype,可是出错误了:

After this operation, 20.5MB of additional disk space will be used.
【警告】:下列的软件包不能通过验证!
skype
不经验证就安装这些软件包么?[y/N] y
获取:1 http://download.skype.com stable/non-free skype 2.0.0.72-1 [15.5MB]
下载 15.5MB,耗时 2min23s (108kB/s)
(正在读取数据库 ... 系统当前总共安装有 143521 个文件和目录。)
正在解压缩 skype (从 .../skype_2.0.0.72-1_i386.deb) ...
dpkg:处理 /var/cache/apt/archives/skype_2.0.0.72-1_i386.deb (--unpack)时出错:
正试图覆盖“/usr/share/icons/skype.png”,它属于软件包 skype-common
dpkg-deb: 子进程 paste 被信号(Broken pipe)终止了
在处理时有错误发生:
/var/cache/apt/archives/skype_2.0.0.72-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
hk@hk-desktop

我又sudo rm -rf把skype 文件夹给删除了,接着重新安装skype:sudo apt-get install skype,
结果如下:

hk@hk-desktop:~$ sudo apt-get install skype
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
The following packages were automatically installed and are no longer required:
skype-common
Use 'apt-get autoremove' to remove them.
下列【新】软件包将被安装:
skype
共升级了 0 个软件包,新安装了 1 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 0B/15.5MB 的软件包。
After this operation, 20.5MB of additional disk space will be used.
【警告】:下列的软件包不能通过验证!
skype
不经验证就安装这些软件包么?[y/N] y
(正在读取数据库 ... 系统当前总共安装有 143521 个文件和目录。)
正在解压缩 skype (从 .../skype_2.0.0.72-1_i386.deb) ...
dpkg:处理 /var/cache/apt/archives/skype_2.0.0.72-1_i386.deb (--unpack)时出错:
正试图覆盖“/usr/share/icons/skype.png”,它属于软件包 skype-common
dpkg-deb: 子进程 paste 被信号(Broken pipe)终止了
在处理时有错误发生:
/var/cache/apt/archives/skype_2.0.0.72-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
hk@hk-desktop:~$
:还是不能安装
头像
qingliang
帖子: 114
注册时间: 2007-07-07 20:17
送出感谢: 0
接收感谢: 0
联系:

Re: 不能安装skype了

#2

帖子 qingliang » 2008-09-23 20:52

没卸干净 而且是不是加入 skype的第三方源了呀
头像
hethe
帖子: 3666
注册时间: 2005-08-01 9:14
送出感谢: 0
接收感谢: 0

Re: 不能安装skype了

#3

帖子 hethe » 2008-09-23 20:59

sudo apt-get remove skype-common
Gedanken ohne Inhalt sind leer .Anschauungen ohne Begriffe sind blind.
头像
horseking
帖子: 443
注册时间: 2008-08-09 22:48
送出感谢: 1 次
接收感谢: 0
联系:

Re: 不能安装skype了

#4

帖子 horseking » 2008-09-23 21:07

hethe 写了:sudo apt-get remove skype-common
thx,that's OK
头像
horseking
帖子: 443
注册时间: 2008-08-09 22:48
送出感谢: 1 次
接收感谢: 0
联系:

Re: 不能安装skype了

#5

帖子 horseking » 2008-09-23 21:08

qingliang 写了:没卸干净 而且是不是加入 skype的第三方源了呀
y,u r right.Thx 2 u,2.
头像
horseking
帖子: 443
注册时间: 2008-08-09 22:48
送出感谢: 1 次
接收感谢: 0
联系:

Re: 不能安装skype了

#6

帖子 horseking » 2008-09-23 21:12

重新装好的skype还是不能使用中文输入法。我使用的是SCIM,真是传说中的那样,这个输入法不能用于skype?有何解决办法?
sunlandli
帖子: 2
注册时间: 2008-10-22 1:40
送出感谢: 0
接收感谢: 0

Re: 不能安装skype了

#7

帖子 sunlandli » 2008-10-22 1:44

把DEB包下回来,解压出来,里面有单独的文件可以直接使用。
头像
majia
帖子: 649
注册时间: 2008-08-25 10:40
送出感谢: 0
接收感谢: 0

Re: 不能安装skype了

#8

帖子 majia » 2008-10-22 9:10

horseking 写了:重新装好的skype还是不能使用中文输入法。我使用的是SCIM,真是传说中的那样,这个输入法不能用于skype?有何解决办法?
首先我要给lz一个信心,这个传说是错误的,至少我这边默认装好后时候可以正常使用的,至于你那边的问题,你可以看一下这个帖子,或许能有帮助
viewtopic.php?f=120&t=88151
灌水专用
回复

回到 “因特网相关软件”